Page MenuHomePhabricator

Percent-encoded URIs to Wikipedia articles aren't recognized when pasted into the Link tool
Closed, ResolvedPublic1 Story Points

Description

How it's supposed to work:

  1. Open a page in VisualEditor.
  1. Select a word. Open the link tool.
  1. Paste a URL in like this one: https://en.wikipedia.org/wiki/National_Register_of_Historic_Places_listings_in_Concord,_Massachusetts
  1. Save the magically converted wikilink to that article.

How it's actually working, if the URL contains percent encoding:

  1. Open a page in VisualEditor.
  1. Select a word. Open the link tool.
  1. Paste a URL in like this one: https://en.wikipedia.org/wiki/Wright%27s_Tavern
  1. See the ugly red error box.
  1. Manually click on the 'External links' tab.
  1. Save the page, and see that the URL was converted to a wikilink.

Event Timeline

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 23 2015, 8:19 PM
Jdforrester-WMF triaged this task as Normal priority.Nov 24 2015, 8:12 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 299190 had a related patch set uploaded (by DLynch):
Move internal-link detection into the InternalLinkAnnotationWidget

https://gerrit.wikimedia.org/r/299190

Change 299190 merged by jenkins-bot:
Move internal-link detection into the InternalLinkAnnotationWidget

https://gerrit.wikimedia.org/r/299190

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This behaviour doesn't seem to have been fixed by the above patch in testing on Beta Cluster.

Could you tell me the exact page you're trying?

I tried with http://deployment.wikimedia.beta.wmflabs.org/wiki/Testing%27s_Fun and it worked.

(My theory is that you were pasting the link from the reproduction steps in this ticket, which isn't an internal-link for the beta cluster.)

Jdforrester-WMF closed this task as Resolved.Jul 19 2016, 11:52 PM

Sorry, on re-testing it looks fine… I would have sworn I'd bypassed caching, but clearly I didn't!